<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access'); 
$user = JFactory::getUser();
$options       = array();
foreach($this->cits_level as $cit_level) {
	$options[]      = JHtml::_('select.option', $cit_level->id, $cit_level->city);

}

?>
<form action="<?php echo JRoute::_('index.php?option=com_jstar_shop&view=cits'); ?>" method="post" name="adminForm" id="adminForm" style="width:100%">
<?php if (!empty( $this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
<?php endif;?>
	<div id="j-main-container" class="span10">
    
		<div id="filter-bar" class="btn-toolbar">
			<div class="filter-search btn-group pull-left">
                <select name="filter_cit" class="inputbox" onchange="this.form.submit()" style="margin-right:20px; width:150px">
                    <option value=""><?php echo JText::_('COM_JSTAR_SHOP_SELECT_CIT');?></option>
                    <?php echo JHtml::_('select.options', $options, 'value', 'text', $this->state->get('filter.cit'), true);?>
                </select>
            </div>
        </div>
    
		<div class="clearfix"> </div>
		<?php if (empty($this->items)) :  ?>
			<div class="alert alert-no-items">
				<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>
	<table class="table table-striped" id="formsList">
    <thead>
    	<tr style="background:none" >
                    <th class="nowrap center" style="width:10%"><?php echo JText::_('COM_JSTAR_SHOP_FIELD_ROW_LABEL'); ?></th>
					<th width="1%" class="nowrap center"><?php echo JHtml::_('grid.checkall'); ?></th>
                    <th class="nowrap center"><?php echo JText::_('COM_JSTAR_SHOP_CIT'); ?></th>
                    <th class="nowrap center"><?php echo JText::_('COM_JSTAR_SHOP_LEVEL'); ?></th>
        </tr>
     </thead>
        <tfoot>
        <tr>
        </tr>
        </tfoot>
			<?php $k = 1;
			foreach ($this->items as $i => $item) : 
?>
				<tr class="row<?php echo $i % 2; ?>">
                            <td class="center">
			                    <?php echo $k; ?>
			                </td>
                            <td class="center">
			                    <?php echo JHtml::_('grid.id',   $i, $item->value)?>
			                </td>
							<td class="center">
								<?php echo $this->escape($item->text); ?>
                            </td>
							<td class="center">
								<?php echo $this->escape($item->level); ?>
                            </td>
				</tr>
			<?php $k++; endforeach; ?>
		</tbody>
	</table>
	<?php endif; ?>
	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortDirection; ?>" />
    		<?php echo JHtml::_('form.token'); ?>
	</div>
  </div>
</form>
